Skip to main content

API Reference: Integrations v2

This page documents the current public v2 integration endpoints for sending alerts and replies.

Base Path

/v2

All requests require your Alerta API authentication headers. See Authentication for the required header format.

Supported Integrations

IntegrationSend EndpointReply EndpointChannel Reference
SlackPOST /v2/slack/sendPOST /v2/slack/replySlack channel ref
DiscordPOST /v2/discord/sendPOST /v2/discord/replyDiscord channel ref
TelegramPOST /v2/telegram/sendPOST /v2/telegram/replyTG_ALT_...
Microsoft TeamsPOST /v2/teams/sendPOST /v2/teams/replyTB_ALT_...

Microsoft Teams

Send a Teams Alert

POST /v2/teams/send

Request Body

{
"channelRef": "TB_ALT_...",
"title": "High CPU usage",
"message": "CPU usage exceeded 90%.",
"severity": "Critical"
}

Response

{
"success": true,
"integration": "teams",
"provider": "teams_bot",
"channelRef": "TB_ALT_...",
"messageId": "TBR_ALT_...",
"requestRef": "TBR_ALT_...",
"sentAt": "2026-06-19T10:30:00.000Z",
"balance": 123
}

Use requestRef when replying to this alert.

Reply to a Teams Alert

POST /v2/teams/reply

Request Body

{
"channelRef": "TB_ALT_ZBYD6W5YN0450H4W",
"requestRef": "TBR_ALT_JN26IOOVAKECSKUN",
"title": "Transaction Alert Matthew",
"message": "A suspicious transaction was detected new reply"
}

Response

{
"success": true,
"message": "Teams reply sent successfully.",
"requestRef": "TBR_ALT_JN26IOOVAKECSKUN",
"replyRef": "TBR_ALT_...",
"sentAt": "2026-06-19T10:32:00.000Z"
}
caution

Do not use raw Microsoft Teams activity IDs. Teams replies use the Alerta requestRef returned by the original send request.

Telegram

Send a Telegram Alert

POST /v2/telegram/send

Request Body

{
"channelRef": "TG_ALT_...",
"title": "High CPU usage",
"message": "CPU usage exceeded 90%.",
"severity": "Critical"
}

Response

{
"success": true,
"integration": "telegram",
"provider": "telegram",
"channelRef": "TG_ALT_...",
"requestRef": "TGR_ALT_...",
"messageId": "TGR_ALT_...",
"sentAt": "2026-06-19T10:30:00.000Z",
"balance": 123
}

Use requestRef when replying to this alert.

Reply to a Telegram Alert

POST /v2/telegram/reply

Request Body

{
"channelRef": "TG_ALT_...",
"requestRef": "TGR_ALT_...",
"message": "Investigating now."
}

Response

{
"success": true,
"message": "Telegram reply sent successfully.",
"requestRef": "TGR_ALT_...",
"replyRef": "TGR_ALT_...",
"sentAt": "2026-06-19T10:32:00.000Z"
}

Slack

Send a Slack Alert

POST /v2/slack/send

Request Body

{
"channelRef": "C_ALT_...",
"title": "High CPU usage",
"message": "CPU usage exceeded 90%.",
"severity": "Critical"
}

Response

{
"success": true,
"integration": "slack",
"channelRef": "C_ALT_...",
"requestRef": "R_ALT_...",
"messageId": "R_ALT_...",
"sentAt": "2026-06-19T10:30:00.000Z",
"balance": 123
}

Use requestRef when replying to this alert.

Reply to a Slack Alert

POST /v2/slack/reply

Request Body

{
"channelRef": "C_ALT_...",
"messageId": "R_ALT_...",
"title": "Update",
"message": "Investigating now."
}

Response

{
"success": true,
"message": "Slack reply sent successfully.",
"requestRef": "R_ALT_...",
"replyRef": "R_ALT_...",
"sentAt": "2026-06-19T10:32:00.000Z"
}

Discord

Send a Discord Alert

POST /v2/discord/send

Request Body

{
"channelRef": "C_ALT_...",
"title": "High CPU usage",
"message": "CPU usage exceeded 90%.",
"severity": "Critical"
}

Response

{
"success": true,
"integration": "discord",
"channelRef": "C_ALT_...",
"requestRef": "DR_ALT_...",
"messageId": "DR_ALT_...",
"sentAt": "2026-06-19T10:30:00.000Z",
"balance": 123
}

Use requestRef when replying to this alert.

Reply to a Discord Alert

POST /v2/discord/reply

Request Body

{
"channelRef": "C_ALT_...",
"messageId": "DR_ALT_...",
"title": "Update",
"message": "Investigating now."
}

Response

{
"success": true,
"message": "Discord reply sent successfully.",
"requestRef": "DR_ALT_...",
"replyRef": "DR_ALT_...",
"sentAt": "2026-06-19T10:32:00.000Z"
}

Idempotency

Send and reply endpoints may accept an idempotency key:

x-idempotency-key: unique-event-id

Use this header to prevent duplicate delivery when retrying a request.

Security Notes

Public API responses must not expose provider internals, including:

  • Microsoft Teams activityId
  • Bot Framework conversationReference
  • Teams serviceUrl
  • Telegram raw provider responses
  • OAuth access tokens
  • Authorization headers
  • AAD user IDs